% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% 18.311 (Principles of Applied Mathematics). MIT, Winter 2008. R. R. Rosales.
% ____________________________________________________________________________
% 311TC (HELP .m FILE).
%
% MatLab scripts in the 18311_Toolkit. More information with help script_name.
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 311TC .......... Table of contents for the 18311_Toolkit.
% 18311 .......... Extended table of contents for the 18311_Toolkit.
% %%%%%%%%%%%%%%%%%%%%%%%%% Back-Difference and the Inviscid Burgers equation:                 
% readmeBDIBS .... File with the contents of the directory BackDiff_IBS.
% demoBDIBS ...... User friendly with screen instructions.
% movieBDIBS ..... Makes a movie illustrating the evolution of the solution.
% iniconBDIBS .... Initial conditions, ready for backdiff_IBS.
% backdiff_IBS ... Backward differences to solve the equation.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Car_Following_Simple_Model:
% readmeCFSM ..... File with the contents of the Car_Following_Simple_Model dir.
% quadCFSM ....... Implements model for quadratic flow function Q.
% strangeCFSM .... Implements model for state law flow function Q.
% randCFSM ....... Implements model for random initial conditions.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Envelopes of characteristics/Caustics: 
% readmeENV ...... File with the contents of the Envelopes_Caustics directory.
% demoENV ........ Examples of families of characteristics and their envelope.
% envelope ....... Script to compute and plot envelopes and characteristics.
% ch_speed ....... Auxiliary script needed by envelope.
% lectureENV ..... Demo showing details of an envelope.
% EIKOdemo ....... Demo for wave folding and caustic formation. Eikonal eqn.
% EIKOexampleNN .. File with an example for EIKOdemo: NN = 01, 02, ...
% EIKO3Ddemo ..... 3D version of EIKOdemo, for surfaces.
% EIKO3DexampleNN  Same as EIKOexampleNN, but used by EIKO3Ddemo.
% %%%%%%%%%%%%%% Fourier series and Heat equation scripts (Heat_FT directory): 
% readmeHFT ...... File with the contents of the Heat_FT directory.
% fourierSC ...... Convergence Fourier Series. Examples/demo.
% heatSln ........ Heat equation by spectral method. Examples/demo.          
% gibbsFSE ....... GIBBS phenomenon for Fourier series near discontinuities.
% FSFun .......... Function for input  into fourierSC or into heatSln.
% FSoption ....... Auxiliary script used by heatSln  and fourierSC.
% FSoptionP ...... """""""""""""""""""""""""""""""""""""""""""""""
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Problem Sets: 
% readmePSA ...... File with the contents of the Problem_Sets directory.
% ________________________________________________________________ VIBRATIONS: 
% PS311_VibroRod . Longitudinal vibrations of rod: movie.
% _________________________________________________ NUMERICAL STABILITY DEMOS:
% PS311_Scheme_A ..... Difference scheme for u_t + u_x = 0.
% PS311_SchemeDIC_A .. """""""""""""""""""""""""""""""""""
% PS311_Scheme_B ..... Difference scheme for u_t + u_x = 0.
% PS311_SchemeDIC_B .. """""""""""""""""""""""""""""""""""
% PS311_Scheme_C ..... Difference scheme for u_t + u_x = 0.
% PS311_SchemeDIC_C .. """""""""""""""""""""""""""""""""""
% PS311_Scheme_D ..... Difference scheme for u_t = u_xx.
% PS311_SchemeDIC_D .. """""""""""""""""""""""""""""""""""
% PS311_Scheme_E ..... Difference scheme for u_t + u_x = 0.
% PS311_SchemeDIC_E .. """""""""""""""""""""""""""""""""""
% %%%%%%%%%%%%%%%%%%%%% Support scripts.
% readmeSUP ...... File with the contents of the Support directory.
% MakeFig311_v00 . Setup nice Figure Window on the screen, with a slider.
% MakeFig311_v01 . More advanced version of MakeFig311_v00.
% %%%%%%%%%%%%%%%%%%%%% Wave breaking and characteristics for kinematic waves: 
% readmeWBR ...... File with the contents of the Wave_Breaking directory.
% demoWBRch ...... Examples of evolution with wave-breaking & multiple values.
% demoWBRch_v01 .. More advanced version of demoWBRch.
% demoWBRch_v02 .. More advanced version of demoWBRch_v01.
% demoWBRch_v03 .. More advanced version of demoWBRch_v02.
% evolveWBRch .... General script to show the evolution by characteristics.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%% Wave equation and numerical stability scripts:
% readmeGBNS ..... File with the contents of the Wave_eqnGBNS directory.
% lectureGBNS .... Demo that introduces the subject matter.
% demoGBNS   ..... Demo showing a couple of example solutions of the wave eqn.
% InitGBNS ....... Function: implements 2 numerical schemes & 2 initial cond.
% movieGBNS ...... Function script to make movies with the output of InitGBNS.
% movieGBNS_NOTES. Help script: detailed explanations of how movieGBNS works.
% GBNS_lecture ... More elaborate version of lectureGBNS, same contents.
%                  Calls many other scripts, as GBNS_lecture_Readme explains.
%                  GBNS_lecture_2D .......... subscript of GBNS_lecture.
%                  GBNS_lecture_3D .......... subscript of GBNS_lecture.
%                  GBNS_lecture_Compute ..... subscript of GBNS_lecture.
%                  GBNS_lecture_FIG ......... subscript of GBNS_lecture.
%                  GBNS_lecture_FIG_var ..... subscript of GBNS_lecture.
%                  GBNS_lecture_HELP ........ subscript of GBNS_lecture.
%                  GBNS_lecture_Movie ....... subscript of GBNS_lecture.
%                  GBNS_lecture_MSG1 ........ subscript of GBNS_lecture.
%                  GBNS_lecture_MSG2 ........ subscript of GBNS_lecture.
%                  GBNS_lecture_MSG3 ........ subscript of GBNS_lecture.
%                  GBNS_lecture_Readme ...... subscript of GBNS_lecture.
%                  GBNS_lecture_RESET ....... subscript of GBNS_lecture.
%                  GBNS_lecture_SEL ......... subscript of GBNS_lecture.
% GBNS_GScheme ... Solves arbitray initial value problems, with periodic
%                  boundary conditions.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%% EOF
