% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% readmeENV
%           Contents of directory Envelopes_Caustics.
% ____________________________________________________________________________
% 18.311 (Principles of Applied Mathematics). MIT, Winter 2008. R. R. Rosales.
%
% Scripts illustrating the envelope of characteristics for u_t + c(u)*u_x = 0.
%
% demoENV ........ Self-explanatory --- just run it.  Gives examples where the
%                  characteristics and their envelope are plotted.
% envelope ....... The "engine" behind demoENV.   A function using ch_speed to
%                  plot both the selected characteristics and a portion of the
%                  envelope.
% ch_speed ....... Auxiliary script, to compute arrays with the characteristic
%                  speeds and its derivatives  (relative to the characteristic
%                  parameter). A function. Can be provided by the user, to re-
%                  place the default.
% lectureENV ..... Demo --- details of the envelope for the family of straight
%                  lines x = t*cos(a) + a.
%
% Scripts illustrating wavefront folding and caustic formation: Eikonal eqn.
%
% EIKOdemo  ...... Self-explanatory --- just run it.  Gives examples where the
%                  wavefront (in 2D) folds and a caustic is formed.
% EIKOexampleNN .. File with the parameterss for example  NN used by EIKOdemo.
%                  The numbers NN = 01, 02, ... must not leave any gaps -- new
%                  are easy to add following the format in these files:   just
%                  add a new file named with the next available NN   (up to 99
%                  examples are allowed.)
% EIKO3Ddemo ..... 3D version of EIKOdemo, for surfaces.
% EIKO3DexampleNN  Same as EIKOexampleNN, but used by EIKO3Ddemo. 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 1999-2008 Massachusetts Institute of Technology
% Version 01 by Rodolfo R. Rosales  04-07-1999.
% Update     by Rodolfo R. Rosales  03-15-2008.
% 
% Permission is hereby granted, without payment, to copy this software
% and its documentation, if any,  for non-profit academic and research
% purposes,  provided that the above copyright notice, this paragraph,
% and the following three paragraphs appear in all copies of this
% software. Use of this software constitutes acceptance of these terms
% and conditions.
%
% IN NO EVENT SHALL MIT, OR THE AUTHOR, BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF MIT, OR THE AUTHOR, HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
%
% MIT, AND THE AUTHOR, SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED
% WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
% NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS." MIT, OR THE AUTHOR, HAVE NO
% OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,
% OR MODIFICATIONS.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
more on
help readmeENV
more off
%
%% EOF
